-- MoneyInfosToolTip.lua
-- written by Habna


function ShowMIWindow()
	-- ( offsetX, offsetY, width, height, bubble side )
	x, y, w, h, bblTo = -5, -15, 325, 0, "left";
	mouseX, mouseY = Turbine.UI.Display.GetMousePosition();
	
	if w + mouseX > screenWidth then bblTo = "right"; x = w - 10; end
	
	if not TBTop then y = h; end
	
	_G.ToolTipWin = Turbine.UI.Window();
	_G.ToolTipWin:SetWidth( w );
	_G.ToolTipWin:SetZOrder( 1 );
	_G.ToolTipWin.xOffset = x;
	_G.ToolTipWin.yOffset = y;
	_G.ToolTipWin:SetVisible( true );

	ListBox = Turbine.UI.ListBox();
	ListBox:SetParent( _G.ToolTipWin );
	ListBox:SetZOrder( 1 );
	ListBox:SetPosition( 15, 12 );
	ListBox:SetWidth( _G.ToolTipWin:GetWidth() - 30 );
	ListBox:SetMaxItemsPerLine( 1 );
	ListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );
	--ListBox:SetBackColor( Color["darkgrey"] ); --debug purpose

	MIRefreshListBox();

	ApplySkin();
end

function MIRefreshListBox()	
	ListBox:ClearItems();
	MITTPosY = 20;
	iFound = false;

	for k,v in pairs(wallet) do
		DecryptMoney(v.Money);

		if k == Player:GetName() then
			if v.Show then MITTShowData(k); end
		else
			if v.ShowToAll or v.ShowToAll == nil then MITTShowData(k); end
		end
	end
	
	if not iFound then--No wallet info found, show a message
		--**v Control of message v**
		local MsgCtr = Turbine.UI.Control();
		MsgCtr:SetParent( ListBox );
		MsgCtr:SetSize( ListBox:GetWidth(), 20 );
		MsgCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
		--MsgCtr:SetBackColor( Color["red"] ); -- Debug purpose
		--**^
		--**v Message v**
		local MsgLbl = Turbine.UI.Label();
		MsgLbl:SetParent( MsgCtr );
		--MsgLbl:SetForeColor( Color["white"] );
		MsgLbl:SetPosition( 0, 0 );
		MsgLbl:SetText( L["MIMsg"] );
		MsgLbl:SetSize( MsgCtr:GetWidth(), MsgCtr:GetHeight() );
		--MsgLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
		MsgLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
		MsgLbl:SetForeColor( Color["red"] );
		--MsgLbl:SetBackColor( Color["white"] ); -- Debug purpose
		--**^

		ListBox:AddItem( MsgCtr );
		ListBox:SetHeight( MITTPosY );
		
		MITTPosY = MITTPosY + 20;
	end

	
	MITTPosY = MITTPosY + 10;

	--**v Line Control v**
	local LineCtr = Turbine.UI.Control();
	LineCtr:SetParent( ListBox );
	LineCtr:SetSize( ListBox:GetWidth(), 10 );
	--LineCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );

	local LineLbl = Turbine.UI.Label();
	LineLbl:SetParent( LineCtr );
	LineLbl:SetText( "" );
	LineLbl:SetPosition( 0, 9 );
	LineLbl:SetSize( ListBox:GetWidth(), 1 );
	LineLbl:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	LineLbl:SetBackColor( Color["trueblue"] );

	ListBox:AddItem( LineCtr );
	ListBox:SetHeight( MITTPosY );
	--**^

	--**v Control of total Gold/Silver/Copper v**
	local TotMoneyCtr = Turbine.UI.Control();
	TotMoneyCtr:SetParent( ListBox );
	--TotMoneyCtr:SetPosition( 0, _G.ToolTipWin:GetWidth() );
	TotMoneyCtr:SetSize( ListBox:GetWidth(), 20 );
	TotMoneyCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--TotMoneyCtr:SetBackColor( Color["red"] ); -- Debug purpose
	--**^
	--**v Total label v**
	local TotLbl = Turbine.UI.Label();
	TotLbl:SetParent( TotMoneyCtr );
	TotLbl:SetText( L["MIWTotal"] );
	TotLbl:SetPosition( 5, 0 );
	TotLbl:SetSize( 65, 30 );
	TotLbl:SetForeColor( Color["white"] );
	TotLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	--TotLbl:SetBackColor( Color["red"] ); -- debug purpose
	--**^
	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( TotMoneyCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( TotMoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( TotMoneyCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( string.format("%.0f", CopperTot) );
	CopperLbl:SetSize( 20, 30 );
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( TotMoneyCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( TotMoneyCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( string.format("%.0f", SilverTot) );
	SilverLbl:SetSize( 20, 30 );
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( TotMoneyCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( TotMoneyCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( string.format("%.0f", GoldTot) );
	GoldLbl:SetSize( 50, 30 );
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	
	ListBox:AddItem( TotMoneyCtr );
	ListBox:SetHeight( MITTPosY );


	MITTPosY = MITTPosY + 30;

	--**v Statistics section v**
	local PN = Player:GetName();

	local LblStat = Turbine.UI.Label();
	LblStat:SetParent( _G.ToolTipWin );
	LblStat:SetZOrder( 2 );
	LblStat:SetPosition( ListBox:GetLeft(), MITTPosY );
	LblStat:SetForeColor( Color["rustedgold"] );
	LblStat:SetSize( 140, 20 );
	LblStat:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	LblStat:SetFontStyle( Turbine.UI.FontStyle.Outline );
	LblStat:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	LblStat:SetText( L["MISession"] .. " " .. L["Stats"] );
	if TBLocale == "fr" then LblStat:SetText( L["Stats"] .. " " .. L["MISession"] ); end
	--LblStat:SetBackColor( Color["white"] ); -- Debug purpose

	local StatsSeparator = Turbine.UI.Control();
	StatsSeparator:SetParent( _G.ToolTipWin );
	StatsSeparator:SetZOrder( 2 );
	StatsSeparator:SetSize( LblStat:GetWidth(), 1 );
	StatsSeparator:SetPosition( LblStat:GetLeft(), LblStat:GetTop() + 21 );
	StatsSeparator:SetBackColor( Color["trueblue"] );

	local StartCtr = Turbine.UI.Control();
	StartCtr:SetParent( _G.ToolTipWin );
	StartCtr:SetZOrder( 2 );
	StartCtr:SetPosition( LblStat:GetLeft(), StatsSeparator:GetTop()+2 );
	StartCtr:SetSize( ListBox:GetWidth(), 20 );
	StartCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--StartCtr:SetBackColor( Color["red"] ); -- Debug purpose

	local lblStart = Turbine.UI.Label();
	lblStart:SetParent( StartCtr );
	lblStart:SetPosition( 0, 3 );
	lblStart:SetForeColor( Color["rustedgold"] );
	lblStart:SetSize( LblStat:GetWidth(), 20 );
	lblStart:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lblStart:SetFontStyle( Turbine.UI.FontStyle.Outline );
	lblStart:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	lblStart:SetText( L["MIStart"] );
	--lblStart:SetBackColor( Color["white"] ); -- Debug purpose

	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( StartCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( TotMoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose

	DecryptMoney(walletStats[DOY][PN].Start);

	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( StartCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( copper );
	CopperLbl:SetSize( 20, 30 );
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( StartCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( StartCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( silver );
	SilverLbl:SetSize( 20, 30 );
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( StartCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( StartCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( gold );
	GoldLbl:SetSize( 50, 30 );
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose

	local EarnedCtr = Turbine.UI.Control();
	EarnedCtr:SetParent( _G.ToolTipWin );
	EarnedCtr:SetZOrder( 2 );
	EarnedCtr:SetPosition( StartCtr:GetLeft(), StartCtr:GetTop()+21 );
	EarnedCtr:SetSize( ListBox:GetWidth(), 20 );
	EarnedCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--EarnedCtr:SetBackColor( Color["red"] ); -- Debug purpose

	local lblEarned = Turbine.UI.Label();
	lblEarned:SetParent( EarnedCtr );
	lblEarned:SetPosition( 0, 3 );
	lblEarned:SetForeColor( Color["rustedgold"] );
	lblEarned:SetSize( LblStat:GetWidth(), 20 );
	lblEarned:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lblEarned:SetFontStyle( Turbine.UI.FontStyle.Outline );
	lblEarned:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	lblEarned:SetText( L["MIEarned"] );
	--lblStart:SetBackColor( Color["white"] ); -- Debug purpose

	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( EarnedCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( TotMoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose

	DecryptMoney(walletStats[DOY][PN].Earned);

	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( EarnedCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( copper );
	CopperLbl:SetSize( 20, 30 );
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( EarnedCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( EarnedCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( silver );
	SilverLbl:SetSize( 20, 30 );
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( EarnedCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( EarnedCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( gold );
	GoldLbl:SetSize( 50, 30 );
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose

	local SpentCtr = Turbine.UI.Control();
	SpentCtr:SetParent( _G.ToolTipWin );
	SpentCtr:SetZOrder( 2 );
	SpentCtr:SetPosition( EarnedCtr:GetLeft(), EarnedCtr:GetTop()+21 );
	SpentCtr:SetSize( ListBox:GetWidth(), 20 );
	SpentCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--SpentCtr:SetBackColor( Color["red"] ); -- Debug purpose

	local lblSpent = Turbine.UI.Label();
	lblSpent:SetParent( SpentCtr );
	lblSpent:SetPosition( 0, 3 );
	lblSpent:SetForeColor( Color["rustedgold"] );
	lblSpent:SetSize( LblStat:GetWidth(), 20 );
	lblSpent:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lblSpent:SetFontStyle( Turbine.UI.FontStyle.Outline );
	lblSpent:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	lblSpent:SetText( L["MISpent"] );
	--lblStart:SetBackColor( Color["white"] ); -- Debug purpose

	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( SpentCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( TotMoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose

	DecryptMoney(walletStats[DOY][PN].Spent);

	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( SpentCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( copper );
	CopperLbl:SetSize( 20, 30 );
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( SpentCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( SpentCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( silver );
	SilverLbl:SetSize( 20, 30 );
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( SpentCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( SpentCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( gold );
	GoldLbl:SetSize( 50, 30 );
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose

	--Calculate all character earned & spent
	local totem, totsm=0,0;
	local PN = Player:GetName();
	for k,v in pairs(walletStats[DOY]) do
		totem = totem + v.TotEarned;
		totsm = totsm + v.TotSpent;
	end
	DecryptMoney(totem);

	local LblStat = Turbine.UI.Label();
	LblStat:SetParent( _G.ToolTipWin );
	LblStat:SetZOrder( 2 );
	LblStat:SetPosition( SpentCtr:GetLeft(), SpentCtr:GetTop()+31 );
	LblStat:SetForeColor( Color["rustedgold"] );
	LblStat:SetSize( 140, 20 );
	LblStat:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	LblStat:SetFontStyle( Turbine.UI.FontStyle.Outline );
	LblStat:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	LblStat:SetText( L["MIDaily"] .. " " .. L["Stats"] );
	if TBLocale == "fr" then LblStat:SetText( L["Stats"] .. " " .. L["MIDaily"] ); end
	--LblStat:SetBackColor( Color["white"] ); -- Debug purpose

	local StatsSeparator = Turbine.UI.Control();
	StatsSeparator:SetParent( _G.ToolTipWin );
	StatsSeparator:SetZOrder( 2 );
	StatsSeparator:SetSize( LblStat:GetWidth(), 1 );
	StatsSeparator:SetPosition( LblStat:GetLeft(), LblStat:GetTop() + 21 );
	StatsSeparator:SetBackColor( Color["trueblue"] );

	local TotEarnedCtr = Turbine.UI.Control();
	TotEarnedCtr:SetParent( _G.ToolTipWin );
	TotEarnedCtr:SetZOrder( 2 );
	TotEarnedCtr:SetPosition( StatsSeparator:GetLeft(), StatsSeparator:GetTop()+5 );
	TotEarnedCtr:SetSize( ListBox:GetWidth(), 20 );
	TotEarnedCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--TotEarnedCtr:SetBackColor( Color["red"] ); -- Debug purpose

	local lblSpent = Turbine.UI.Label();
	lblSpent:SetParent( TotEarnedCtr );
	lblSpent:SetPosition( 0, 3 );
	lblSpent:SetForeColor( Color["rustedgold"] );
	lblSpent:SetSize( LblStat:GetWidth(), 20 );
	lblSpent:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lblSpent:SetFontStyle( Turbine.UI.FontStyle.Outline );
	lblSpent:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	lblSpent:SetText( L["MITotEarned"] );
	--lblStart:SetBackColor( Color["white"] ); -- Debug purpose

	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( TotEarnedCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( TotMoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose
	
	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( TotEarnedCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( copper );
	CopperLbl:SetSize( 20, 30 );
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( TotEarnedCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( TotEarnedCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( silver );
	SilverLbl:SetSize( 20, 30 );
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( TotEarnedCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( TotEarnedCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( gold );
	GoldLbl:SetSize( 50, 30 );
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose

	DecryptMoney(totsm);

	local TotSpentCtr = Turbine.UI.Control();
	TotSpentCtr:SetParent( _G.ToolTipWin );
	TotSpentCtr:SetZOrder( 2 );
	TotSpentCtr:SetPosition( TotEarnedCtr:GetLeft(), TotEarnedCtr:GetTop()+21 );
	TotSpentCtr:SetSize( ListBox:GetWidth(), 20 );
	TotSpentCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--TotSpentCtr:SetBackColor( Color["red"] ); -- Debug purpose

	local lblSpent = Turbine.UI.Label();
	lblSpent:SetParent( TotSpentCtr );
	lblSpent:SetPosition( 0, 3 );
	lblSpent:SetForeColor( Color["rustedgold"] );
	lblSpent:SetSize( LblStat:GetWidth(), 20 );
	lblSpent:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	lblSpent:SetFontStyle( Turbine.UI.FontStyle.Outline );
	lblSpent:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	lblSpent:SetText( L["MITotSpent"] );
	--lblStart:SetBackColor( Color["white"] ); -- Debug purpose

	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( TotSpentCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( TotMoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose
	
	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( TotSpentCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( copper );
	CopperLbl:SetSize( 20, 30 );
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( TotSpentCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( TotSpentCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( silver );
	SilverLbl:SetSize( 20, 30 );
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( TotSpentCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( TotSpentCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( gold );
	GoldLbl:SetSize( 50, 30 );
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose

	MITTPosY = MITTPosY + 145;
	--**^

	_G.ToolTipWin:SetHeight( MITTPosY + 35);

	if TBTop then _G.ToolTipWin:SetPosition( mouseX - x, mouseY - y);
	else _G.ToolTipWin:SetPosition( mouseX - x, mouseY - MITTPosY - 35); end
end

function MITTShowData(k)
	iFound = true;
	--**v Control of Gold/Silver/Copper currencies v**
	local MoneyCtr = Turbine.UI.Control();
	MoneyCtr:SetParent( ListBox );
	MoneyCtr:SetSize( ListBox:GetWidth(), 20 );
	MoneyCtr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	--MoneyCtr:SetBackColor( Color["red"] ); -- Debug purpose
	--**^
	--**v Player name v**
	local lblName = Turbine.UI.Label();
	lblName:SetParent( MoneyCtr );
	--lblName:SetFont ( 12 );
	lblName:SetText( k );
	lblName:SetPosition( 5, 0 );
	lblName:SetSize( lblName:GetTextLength() * 7.5, TB["win"]:GetHeight() ); --Auto size with text lenght
	if k == Player:GetName() then lblName:SetForeColor( Color["green"] );
	else lblName:SetForeColor( Color["white"] ); end
	lblName:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	--lblName:SetBackColor( Color["red"] ); -- debug purpose
	--**^
	--**v Copper icon & amount v**
	local CopperIcon = Turbine.UI.Control();
	CopperIcon:SetParent( MoneyCtr );
	CopperIcon:SetSize( 27, 21 );
	CopperIcon:SetPosition( MoneyCtr:GetWidth() - 30, 4 );
	CopperIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	CopperIcon:SetBackground( 0x41007e7d ); -- in-game copper icon
	--CopperIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local CopperLbl = Turbine.UI.Label();
	CopperLbl:SetParent( MoneyCtr );
	--CopperLbl:SetForeColor( Color["white"] );
	CopperLbl:SetText( string.format("%.0f", copper) );
	CopperLbl:SetSize(20, 30);
	CopperLbl:SetPosition( CopperIcon:GetLeft() - 18, 0 );
	CopperLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	CopperLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--CopperLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Silver icon & amount v**
	local SilverIcon = Turbine.UI.Control();
	SilverIcon:SetParent( MoneyCtr );
	SilverIcon:SetSize( 27, 21 );
	SilverIcon:SetPosition( CopperLbl:GetLeft() - 34, 4 );
	SilverIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	SilverIcon:SetBackground( 0x41007e7c ); -- in-game silver icon
	--SilverIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local SilverLbl = Turbine.UI.Label();
	SilverLbl:SetParent( MoneyCtr );
	--SilverLbl:SetForeColor( Color["white"] );
	SilverLbl:SetText( string.format("%.0f", silver) );
	SilverLbl:SetSize(20, 30);
	SilverLbl:SetPosition( SilverIcon:GetLeft() - 18, 0 );
	SilverLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	SilverLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--SilverLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^
	--**v Gold icon & amount v**
	local GoldIcon = Turbine.UI.Control();
	GoldIcon:SetParent( MoneyCtr );
	GoldIcon:SetSize( 27, 21 );
	GoldIcon:SetPosition( SilverLbl:GetLeft() - 34, 4 );
	GoldIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	GoldIcon:SetBackground( 0x41007e7b ); -- in-game gold icon
	--GoldIcon:SetBackColor( Color["blue"] ); -- Debug purpose
			
	local GoldLbl = Turbine.UI.Label();
	GoldLbl:SetParent( MoneyCtr );
	--GoldLbl:SetForeColor( Color["white"] );
	GoldLbl:SetText( string.format("%.0f", gold) );
	GoldLbl:SetSize(50, 30);
	GoldLbl:SetPosition( GoldIcon:GetLeft() - 48, 0 );
	GoldLbl:SetFontStyle( Turbine.UI.FontStyle.Outline );
	GoldLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	--GoldLbl:SetBackColor( Color["white"] ); -- Debug purpose
	--**^

	ListBox:AddItem( MoneyCtr );
	ListBox:SetHeight( MITTPosY );
		
	MITTPosY = MITTPosY + 20;
end