-- SharedStorageWindow.lua
-- written by Habna


function frmSharedStorage()
	frmSS = true;

	--wSharedStorage = Turbine.UI.Window();
	wSharedStorage = Turbine.UI.Lotro.Window()
	--wSharedStorage = Turbine.UI.Lotro.GoldWindow()
	
	wSharedStorage.cursor = nil;

	-- **v Set backcolor, position, size and text of the window v**
	wSharedStorage:SetWidth( 460 );
	wSharedStorage:SetPosition( SSWLeft, SSWTop );
	wSharedStorage:SetText( L["MStorage"] );
	wSharedStorage:SetWantsKeyEvents( true );
	wSharedStorage:SetVisible( true );
	vWinWidth, vWinHeight = wSharedStorage:GetSize();
	listWidth = vWinWidth - 37;
	--wSharedStorage:SetZOrder( 2 );
	--wSharedStorage:Activate();

	wSharedStorage.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			wSharedStorage:Close();
		elseif ( args.Action == 268435635 ) or ( args.Action == 268435579 ) then -- Hide if F12 key is press or reposition UI
			wSharedStorage:SetVisible( not wSharedStorage:IsVisible() );
		end
	end

	wSharedStorage.MouseUp = function( sender, args )
		settings.SharedStorage.L = string.format("%.0f", wSharedStorage:GetLeft());
		settings.SharedStorage.T = string.format("%.0f", wSharedStorage:GetTop());
		SSWLeft, SSWTop = wSharedStorage:GetPosition();
		SaveSettings( false );
	end

	wSharedStorage.Closing = function( sender, args ) -- Function for the Upper right X icon
		wSharedStorage:SetWantsKeyEvents( false );
		wSharedStorage = nil;
		frmSS = nil;
	end
	-- **^
	
	-- **v Set the itemlistbox v**
	wSharedStorage.ListBox = Turbine.UI.ListBox();
	wSharedStorage.ListBox:SetParent( wSharedStorage );
	wSharedStorage.ListBox:SetPosition( 17, 35 );
	wSharedStorage.ListBox:SetWidth( listWidth );
	wSharedStorage.ListBox:SetMaxItemsPerLine( 12 );
	wSharedStorage.ListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );
	wSharedStorage.ListBox:SetBackColor( Turbine.UI.Color( 1, 0, 0, 0 ) );
	--**^

	-- **v Set the scrollbar v**
	wSharedStorage.ListBoxScrollBar = Turbine.UI.Lotro.ScrollBar();
	wSharedStorage.ListBoxScrollBar:SetParent( wSharedStorage );
	wSharedStorage.ListBoxScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
	wSharedStorage.ListBox:SetVerticalScrollBar( wSharedStorage.ListBoxScrollBar );
	wSharedStorage.ListBoxScrollBar:SetPosition( vWinWidth - 20, 40 );
	wSharedStorage.ListBoxScrollBar:SetSize( 10, wSharedStorage.ListBox:GetHeight() - 15 );
	-- **^

	-- **v Get player gameplay v**
	if pcall( Turbine.Gameplay.LocalPlayer.GetInstance ) then
		sharedstoragepack = Turbine.Gameplay.LocalPlayer.GetInstance():GetSharedStorage();
	else
		sharedstoragepack = Turbine.Gameplay.LocalPlayer():GetSharedStorage();
	end
	-- **^

	sharedstoragepackSize = sharedstoragepack:GetCapacity();
	--sharedstoragepackSize = 0; --debug purpose
	
	-- Convert the table key that is in string format into a number, so it can be viewed by lua correctly.
	if PlayerSharedStorage[PN] ~= nil then
		local newt = {}
		for k, v in pairs(PlayerSharedStorage[PN]) do newt[tonumber(k)] = v; end
		PlayerSharedStorage[PN] = newt;
	end
	
	if sharedstoragepackSize == 0 then --Vault not loaded
		if #PlayerSharedStorage[PN] == 0 then --My vault item list is empty
			local lblmgs = Turbine.UI.Label();
			lblmgs:SetParent( wSharedStorage );
			lblmgs:SetText( L["MNeed"]..L["SSh"]..L["MOnce"] );
			lblmgs:SetPosition( 30, 50 );
			lblmgs:SetSize( lblmgs:GetTextLength() * 7.5, 15 );
			lblmgs:SetForeColor( Color["green"] );
			lblmgs:SetTextAlignment( Turbine.UI.ContentAlignment.TopCenter );

			wSharedStorage.ListBox:SetHeight( 0 );
			wSharedStorage.ListBox:SetVisible( false );
			wSharedStorage:SetSize( lblmgs:GetWidth()+60, lblmgs:GetHeight()+60 );
		else
			sharedstoragepackSize = tonumber(PlayerSharedStorage[PN][1].Z);
			SetSharedStoragePack();
		end
	else
		sharedstoragepackcount = sharedstoragepack:GetCount();
		PlayerSharedStorage[PN] = {};

		for ii = 1, sharedstoragepackcount do
			PlayerSharedStorage[PN][tostring(ii)] = sharedstoragepack:GetItem( ii );
			local iteminfo = PlayerSharedStorage[PN][tostring(ii)]:GetItemInfo();
			
			PlayerSharedStorage[PN][tostring(ii)].Q = tostring(iteminfo:GetQualityImageID());
			PlayerSharedStorage[PN][tostring(ii)].B = tostring(iteminfo:GetBackgroundImageID());
			PlayerSharedStorage[PN][tostring(ii)].U = tostring(iteminfo:GetUnderlayImageID());
			PlayerSharedStorage[PN][tostring(ii)].S = tostring(iteminfo:GetShadowImageID());
			PlayerSharedStorage[PN][tostring(ii)].I = tostring(iteminfo:GetIconImageID());
			local tq = tostring(PlayerSharedStorage[PN][tostring(ii)]:GetQuantity());
			if tq == "1" then tq = ""; end
			PlayerSharedStorage[PN][tostring(ii)].N = tq;
			PlayerSharedStorage[PN][tostring(ii)].Z = tostring(sharedstoragepackSize);
		end

		Turbine.PluginData.Save( Turbine.DataScope.Server, "TitanBarSharedSrorage", PlayerSharedStorage );
		SetSharedStoragePack();
	end
end

--**v Set Shared Storage Pack v**
function SetSharedStoragePack()
	wSharedStorage.items = nil;
	itemsCtl = nil;
	itemsLbl = nil;
	wSharedStorage.ListBox:ClearItems();
	sharedstoragepackcount = 0;

	wSharedStorage.items = {};
	itemsCtl = {};
	itemsLbl = {};

	-- Convert the table key that is in string format into a number, so it can be viewed by lua correctly.
	local newt = {}
	for k, v in pairs(PlayerSharedStorage[PN]) do newt[tonumber(k)] = v; end
	PlayerSharedStorage[PN] = newt;

	for i = 1, sharedstoragepackSize do
		-- Item background
		itemsCtl[i] = Turbine.UI.Control();
		itemsCtl[i]:SetSize( 35, 35 );
		itemsCtl[i]:SetBackground( resources.Item.Background );
		itemsCtl[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		-- Slot num in background
		itemsLbl[i] = Turbine.UI.Label();
		itemsLbl[i]:SetParent( itemsCtl[i] );
		itemsLbl[i]:SetSize( 35, 35 );
		itemsLbl[i]:SetPosition( 0, 0 );
		itemsLbl[i]:SetText( i );
		itemsLbl[i]:SetForeColor( Color["verylightgrey"] );
		itemsLbl[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
		itemsLbl[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		if PlayerSharedStorage[PN][i] ~= nil then
			-- Item Background/Underlay/Shadow/Image
			local itemBG = Turbine.UI.Control();
			itemBG:SetParent( itemsCtl[i] );
			itemBG:SetSize( 32, 32 );
			itemBG:SetPosition( 3, 3 );
			itemBG:SetBackground(tonumber(PlayerSharedStorage[PN][i].B));
			itemBG:SetBlendMode( Turbine.UI.BlendMode.Overlay );
		
			local itemU = Turbine.UI.Control();
			itemU:SetParent( itemsCtl[i] );
			itemU:SetSize( 32, 32 );
			itemU:SetPosition( 3, 3 );
			itemU:SetBackground(tonumber(PlayerSharedStorage[PN][i].U));
			itemU:SetBlendMode( Turbine.UI.BlendMode.Overlay );

			local itemS = Turbine.UI.Control();
			itemS:SetParent( itemsCtl[i] );
			itemS:SetSize( 32, 32 );
			itemS:SetPosition( 3, 3 );
			itemS:SetBackground(tonumber(PlayerSharedStorage[PN][i].S));
			itemS:SetBlendMode( Turbine.UI.BlendMode.Overlay );

			local item = Turbine.UI.Control();
			item:SetParent( itemsCtl[i] );
			item:SetSize( 32, 32 );
			item:SetPosition( 3, 3 );
			item:SetBackground(tonumber(PlayerSharedStorage[PN][i].I));
			item:SetBlendMode( Turbine.UI.BlendMode.Overlay );

			-- Item Quantity
			itemQTE = Turbine.UI.Label();
			itemQTE:SetParent( itemsCtl[i] );
			itemQTE:SetSize( 32, 15 );
			itemQTE:SetPosition( -4, 16 );
			itemQTE:SetFont( Turbine.UI.Lotro.Font.Verdana12 );
			itemQTE:SetFontStyle( Turbine.UI.FontStyle.Outline );
			itemQTE:SetOutlineColor( Color["black"] );
			itemQTE:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
			itemQTE:SetBackColorBlendMode( Turbine.UI.BlendMode.Overlay );
			itemQTE:SetForeColor( Color["nicegold"] );
			itemQTE:SetText(tonumber(PlayerSharedStorage[PN][i].N));
			sharedstoragepackcount = sharedstoragepackcount+1;
		end

		wSharedStorage.ListBox:AddItem( itemsCtl[i] );
	end

	--**v Set window v** --
	freeslots = sharedstoragepackSize - sharedstoragepackcount;
	wSharedStorage:SetText( wSharedStorage:GetText() .. " -- " .. L["VTFree"] .. freeslots .. L["VTUsed"] .. sharedstoragepackcount .. L["VTMax"] .. sharedstoragepackSize );
	if sharedstoragepackSize <= 75 then
		local tmpH = (math.ceil(sharedstoragepackSize/wSharedStorage.ListBox:GetMaxItemsPerLine()))*35+3;
		wSharedStorage.ListBox:SetHeight( tmpH );
		wSharedStorage:SetHeight( wSharedStorage.ListBox:GetTop()+wSharedStorage.ListBox:GetHeight()+17 );
	else
		wSharedStorage.ListBox:SetHeight( 248 );
		wSharedStorage:SetHeight( 300 );
	end
end
-- **^